Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # MutableColorBaseConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename ColorBase> struct boost::gil::MutableColorBaseConcept< ColorBase > Color base which allows for modifying its elements.
    concept MutableColorBaseConcept<ColorBaseConcept T> : Assignable<T>, Swappable<T> {
        template <int K> struct kth_element_reference_type;       where Metafunction<kth_element_reference_type>;

        template <int K> kth_element_reference_type<kth_element_type<T,K>::type>::type at_c(T);

        template <ColorBaseConcept T2> where { ColorBasesCompatibleConcept<T,T2> }
            T& operator=(T&, const T2&);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
ColorBase | cb
The documentation for this struct was generated from the following file: gil_concept.hpp